View Issue Details

IDProjectCategoryView StatusLast Update
0001521Common[All Projects] Generalpublic2016-08-08 21:29
ReporterXenostomAssigned ToXenos 
PrioritynormalSeverityfeatureReproducibilityN/A
Status CloseResolutionfixed 
Product Version1.0.4 
Target VersionFixed in Version1.4.0 
Summary0001521: Filtrer les tests Selenium à exécuter
DescriptionApparemment, j'ai fait une seule tests suite pour tout.

Ce sera surement intéressant de pouvoir exécuter les tests d'un seul dossier uniquement (genre en rajoutant un filtre avant de lister les .html).

Je pense que c'est jouable: sur VariiSpace, j'utilise un batch dédié au lancement des tests Selenium (ce qui me permet de lancer un fichier SQL avant). Du coup, là, l'idée serait d'ajouter un filtre pour savoir quels tests lancer, et faire les batchs de tests dans un batch dédié à chaque projet.

De cette façon, je pourrai lancer un SQL précis avant chaque batch par exemple.
TagsNo tags attached.
Attach Tags

Relationships

related to 0001517 CloseXenos VariiSpace Créer les tests de la gestion de compte 

Activities

Xenostom

Xenostom

2016-06-06 17:39

developer   ~0001937

Last edited: 2016-06-06 17:39

View 2 revisions

J'ai ajouté l'option -s "..." qui permet de filtrer les tests à lancer (grep):

(%MYSQLEXE% --host=%HOST% --user=%USER% --password=%PASSWORD% "variispace-selenium" < "%WKDIR%/tests/selenium/setup.sql") && (%COMMON_SELENIUM% %WKDIR% %BASEURI% -s "/account/")


Xenos

Xenos

2016-08-08 21:29

administrator   ~0002133

Même pas sûr que les tests Selenium seront conservés dans le temps...

Issue History

Date Modified Username Field Change
2016-06-03 11:33 Xenostom New Issue
2016-06-03 11:33 Xenostom Status New => Understood
2016-06-03 11:33 Xenostom Relationship added related to 0001517
2016-06-06 17:29 Xenostom Assigned To => Xenostom
2016-06-06 17:29 Xenostom Status Understood => In progress
2016-06-06 17:39 Xenostom Note Added: 0001937
2016-06-06 17:39 Xenostom Status In progress => Ready
2016-06-06 17:39 Xenostom Resolution open => fixed
2016-06-06 17:39 Xenostom Note Edited: 0001937 View Revisions
2016-06-06 22:08 AutoUpdater Assigned To Xenostom => Xenos
2016-06-06 22:08 AutoUpdater Status Ready => Resolved
2016-06-06 22:09 AutoUpdater Fixed in Version => 1.4.0
2016-08-08 21:29 Xenos Note Added: 0002133
2016-08-08 21:29 Xenos Status Resolved => Close